Skip to main content
`Ctrl`+`K`

# NEPViewFromOptions

View (print) a `NEP` object based on values in the options database.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPViewFromOptions(NEP nep,PetscObject obj,const char name[])

Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- obj - optional object that provides the options prefix used to query the options database

- name - command line option

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPView()`, `NEPCreate()`, `PetscObjectViewFromOptions()`

## Level

intermediate

## Location

src/nep/interface/nepview.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages